<app-modal
  id="modal-dataset-active-archive"
  #modal
  size="default"
  position="center"
>
  <ng-container ngProjectAs="header">
    <h6>{{ category !== 'approve' ? 'Aktifkan' : 'Arsipkan' }} Dataset</h6>
    <button
      class="btn-close"
      (click)="closeModal()"
      type="button"
      role="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <form
      class="form"
      #datasetActiveArchiveForm="ngForm"
      [formGroup]="myForm"
      (ngSubmit)="onSubmit()"
      (keydown.enter)="$event.stopPropagation()"
    >
      <div [ngClass]="jds.mb(16)">
        <label [ngClass]="jds.formLabel">
          Catatan <span [ngClass]="jds.text('danger')">*</span>
        </label>
        <textarea
          class="form-control"
          [colorScheme]="colorScheme"
          jdsBiInput
          placeholder="Contoh : Dataset ini berisi data Indeks Keamanan Informasi di Provinsi Jawa Barat periode tahun 2019"
          rows="5"
          formControlName="notes"
        ></textarea>
        <ng-container
          *ngIf="f.notes?.invalid && (f.notes?.dirty || f.notes?.touched)"
        >
          <div
            *ngIf="f.notes?.errors.required"
            [ngClass]="[jds.formText, jds.text('danger')]"
          >
            Harus diisi.
          </div>
        </ng-container>
      </div>
    </form>
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [ngClass]="[jds.button, jds.buttonDefault, jds.me(8)]"
      (click)="closeModal()"
      type="button"
    >
      Batal
    </button>
    <button
      [ngClass]="[jds.button, jds.buttonPrimary]"
      [disabled]="!datasetActiveArchiveForm.valid"
      (click)="datasetActiveArchiveForm.ngSubmit.emit('Save')"
      type="submit"
    >
      Kirim
    </button>
  </ng-container>
</app-modal>
